import request from '@/utils/request'

// 查询学生请假信息列表
export function getlistStuLeave(query) {
  console.log(query)
  return request({
    url: '/school/studentLeave/classList',
    method: 'get',
    params: query
  })
}

// 查询学生请假信息详情
export function getStuLeaveOne(id) {
  return request({
    url: '/school/studentLeave/queryOne/' + id,
    method: 'get'
  })
}

/** 销假 */
export function cancelLeave(taskId, instanceId, postForm) {
  return request({
    url: `/school/studentLeave/cancel/${taskId}/${instanceId}`,
    method: 'post',
    data: postForm
  })
}


